All Classes Namespaces Functions Pages
hal::DNAIterator Class Referenceabstract

`#include <halDNAIterator.h>`

## Public Member Functions

virtual char | getChar () const =0
virtual void | setChar (char c)=0
virtual void | toLeft () const =0
virtual void | toRight () const =0
virtual void | jumpTo (hal_size_t index) const =0
virtual void | toReverse () const =0
virtual bool | getReversed () const =0
virtual void | setReversed (bool reversed) const =0
virtual const Genome * | getGenome () const =0
virtual Genome * | getGenome ()=0
virtual const Sequence * | getSequence () const =0
virtual Sequence * | getSequence ()=0
virtual hal_index_t | getArrayIndex () const =0
virtual bool | equals (DNAIteratorConstPtr &other) const =0
virtual bool | leftOf (DNAIteratorConstPtr &other) const =0

## Friends

class | counted_ptr< DNAIterator >
class | counted_ptr< const DNAIterator >

## Detailed Description

Interface for general dna iterator

## Member Function Documentation

virtual bool hal::DNAIterator::equals | ( | DNAIteratorConstPtr & | other | ) | const

pure virtual

Compare (array indexes) of two iterators

virtual hal_index_t hal::DNAIterator::getArrayIndex | ( |  | ) | const

pure virtual

Get the index of the base in the dna array

virtual char hal::DNAIterator::getChar | ( |  | ) | const

pure virtual

Get the DNA character at this position (if revsersed is set the reverse compelement is returned

virtual const Genome* hal::DNAIterator::getGenome | ( |  | ) | const

pure virtual

Get the containing (read-only) genome

virtual Genome* hal::DNAIterator::getGenome | ( |  | ) |

pure virtual

Get the containing genome

virtual bool hal::DNAIterator::getReversed | ( |  | ) | const

pure virtual

Check whether iterator is on base's complement

virtual const Sequence* hal::DNAIterator::getSequence | ( |  | ) | const

pure virtual

Get the containing (read-only) sequence

virtual Sequence* hal::DNAIterator::getSequence | ( |  | ) |

pure virtual

Get the containing sequence

virtual void hal::DNAIterator::jumpTo | ( | hal_size_t | index | ) | const

pure virtual

Jump to any point on the genome (can lead to inefficient paging from disk if used irresponsibly)

Parameters

  index | position in array to jump to

virtual bool hal::DNAIterator::leftOf | ( | DNAIteratorConstPtr & | other | ) | const

pure virtual

Compare (array indexes) of two iterators

virtual void hal::DNAIterator::setChar | ( | char | c | ) |

pure virtual

Set the DNA character at this position (if revsersed is set the reverse compelement is stored

Parameters

  c | DNA character to set

virtual void hal::DNAIterator::setReversed | ( | bool | reversed | ) | const

pure virtual

Set the iterator's reverse complement status

virtual void hal::DNAIterator::toLeft | ( |  | ) | const

pure virtual

Move to previous position (equiv. to toRight if reversed)

virtual void hal::DNAIterator::toReverse | ( |  | ) | const

pure virtual

switch to base's reverse complement

virtual void hal::DNAIterator::toRight | ( |  | ) | const

pure virtual

Move to next position (equiv. to toLeft if reversed)

The documentation for this class was generated from the following file:

- inc/halDNAIterator.h